Subject: Re: [PATCH v5 2/5] powerpc/85xx: add HOTPLUG_CPU support

From: Scott Wood <[email-masked]>
Date: Mon, 4 Jun 2012 11:32:47 -0500

On 06/04/2012 06:04 AM, Zhao Chenhui wrote:
> On Fri, Jun 01, 2012 at 04:27:27PM -0500, Scott Wood wrote:
>> On 05/11/2012 06:53 AM, Zhao Chenhui wrote:
>>> -#ifdef CONFIG_KEXEC
>>> +#if defined(CONFIG_KEXEC) || defined(CONFIG_HOTPLUG_CPU)
>>
>> Let's not grow lists like this.  Is there any harm in building it
>> unconditionally?
>>
>> -Scott
> 
> We need this ifdef. We only set give_timebase/take_timebase
> when CONFIG_KEXEC or CONFIG_HOTPLUG_CPU is defined.

If we really need this to be a compile-time decision, make a new symbol
for it, but I really think this should be decided at runtime.  Just
because we have kexec or hotplug support enabled doesn't mean that's
actually what we're doing at the moment.

-Scott